#include <stdio.h>
#include <errno.h>
#include <generi_.h>
main(int argc, char *argv[])
{
	FILE 			*fi;
	char 			*ptr;
	unsigned long	hexval = 0;
	int				icnt;
	char			inputline[80];

	fprintf(stderr,"ASCII Un File Dump V1.0 (c) 1994 SyddWare\n");
	if (argc == 1)
	{
		fprintf(stderr,"Usage: %s filedump_file\n", argv[0]);
		exit(1);
	}
	if ((fi = fopen(argv[1],"r")))
	{
		while (fgets(inputline,sizeof(inputline),fi))
		{
			for (icnt=0;icnt<57 &&
				(isxdigit(inputline[icnt]) || inputline[icnt] == ' ');
				++icnt);
			if (icnt != 57)
			{
				inputline[strlen(inputline)-1] = '\0'; /* lose newline */
				fprintf(stderr,"Skipped [%s]\n", inputline);
			}
			else
			{
				inputline[56] = '\0';
				strip_whitespace(inputline);
				ptr = strtok(inputline," ");
				for (icnt=0;icnt<16 && ptr; ++icnt)
				{
					if ((ptr = strtok(NULL," ")))
					{
						hexval = strtoul(ptr,(char **)0, 16);
						printf("%c",(unsigned char)hexval);
					}
				} /* end for */
			} /* end else */
		} /* end while */
		fclose(fi);
	} /* end if */
	else
		fprintf(stderr,"%s: Failed open of file %s - %s\n",
			argv[0], argv[1], strerror(errno));
	exit(0);
}
